Bug 1811541 - rt-4.4.4-4.fc33 FTBFS: No matching package to install: '/usr/share/fonts/google-droid/DroidSans.ttf'
Summary: rt-4.4.4-4.fc33 FTBFS: No matching package to install: '/usr/share/fonts/goog...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rt
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-09 07:55 UTC by Petr Pisar
Modified: 2020-03-16 20:36 UTC (History)
3 users (show)

Fixed In Version: rt-4.4.4-5.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 20:36:41 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1731700 unspecified NEW rt depends on files/directories from non-standard locations 2020-10-14 00:28:05 UTC

Description Petr Pisar 2020-03-09 07:55:07 UTC
rt-4.4.4-4.fc33 fails to build in Fedora 33 because it build-requires files that does not exist there:

DEBUG util.py:584:  No matching package to install: '/usr/share/fonts/google-droid/DroidSans.ttf'
DEBUG util.py:584:  No matching package to install: '/usr/share/fonts/google-droid/DroidSansFallback.ttf'
DEBUG util.py:584:  Not all dependencies satisfied
DEBUG util.py:584:  Error: Some packages could not be found.

This is triggered by upgrading google-droid-sans-fonts from 20120715-17.fc32 to 20200215-2.fc33. The files were moved to a different directory.

The same change exists in Fedora 32.

A related issue with these dependencies has already been reported against Fedora 31 as bug #1731700.

Comment 1 Ralf Corsepius 2020-03-09 12:16:21 UTC
(In reply to Petr Pisar from comment #0)
> A related issue with these dependencies has already been reported against
> Fedora 31 as bug #1731700.
This is not a "related issue" - BZ#1731700 is a silliness and is invalid, IMNSHO.

Comment 2 Fedora Update System 2020-03-09 14:55:08 UTC
rt-4.4.4-5.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-248bc4f1d8

Comment 3 Fedora Update System 2020-03-16 20:36:41 UTC
rt-4.4.4-5.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.